package smartHomeApp;

class Window {
	static boolean WindowOpen;
	Window(){
		WindowOpen = false;
		System.out.println("Window created");
	}
	
	public void tiltOut() {
		WindowOpen = true;
		System.out.println("Window is opened by tiltOut()" );
	}
	
	public void tiltIn(){
		WindowOpen = false;
		System.out.println("Window is shut by tiltIn()");
	}
	
	public void showStatus() {
		if(WindowOpen)
			System.out.println("Window is open");
		else
			System.out.println("Window is shut");
	}
}

class TimePanel {
	public int NightStarts;
	public int NightEnds;
}

class TemperaturePanel {
	public int NiceTemp;
	public int OutTemp;
	public int InTemp;
}

class RuntimePrecedence {
	public int Options; // 0 for no control, 1 for Exclusion and 2 for Exclusion with Priority
}

public class ProblemWorldDomains {
	static Window win = new Window();
	static TemperaturePanel TeP = new TemperaturePanel();
	static TimePanel TiP = new TimePanel();
	static RuntimePrecedence rp = new RuntimePrecedence();
	public static void main(String args[]) {
		win.showStatus();
		TiP.NightStarts=2000;
		TiP.NightEnds=600;
		TeP.NiceTemp = 15;
		TeP.OutTemp = 10;
		TeP.InTemp = 20;
		rp.Options = 1;
	}
}
