package smartHomeApp;

public aspect TemperatureFeature {
	static long openUntil;
	class Spec implements Runnable {
		Thread runner;
		Window win;
		TemperaturePanel tePanel;
		public Spec(String threadName, Window w1, TemperaturePanel tp1) {
			runner = new Thread(this, threadName);
			win = w1;
			tePanel=tp1;
			openUntil=-1;
			System.out.println(runner.getName() + " has started" );
			runner.start(); // (2) Start the thread.
		}
		
		public void run() {
			while (true){
				/*try {
			        Thread.sleep(2000);
			    } catch (InterruptedException e) {
			        //We've been interrupted: no more messages.
			        return;
			    }*/
				if (tePanel.NiceTemp < tePanel.InTemp && tePanel.OutTemp < tePanel.InTemp) {
					System.out.println("It is hot now, so opening the window and should not be shut for 6secs");
					win.tiltOut();					
					openUntil=System.currentTimeMillis()+6000;
					try {
				        Thread.sleep(6000);
				    } catch (InterruptedException e) {
				        //We've been interrupted: no more messages.
				        return;
				    }
				}
				openUntil =-1;
			}
		}		
	}
	
	pointcut getWinRefs(): execution(* main(..));
	after(): getWinRefs() {
		Spec SF =new Spec("Temperature Feature", ProblemWorldDomains.win, ProblemWorldDomains.TeP);
	}
}
