package smartHomeApp;

public aspect SecurityFeature {
	static long shutUntil;
	class Spec implements Runnable {
		Thread runner;
		Window win;
		TimePanel tiPanel;
		int currentTime; //remove this
		public Spec(String threadName, Window w1, TimePanel tp1) {
			runner = new Thread(this, threadName);
			win = w1;
			tiPanel=tp1;
			shutUntil=-1;
			currentTime=2300;
			System.out.println(runner.getName() + " has started" );
			runner.start(); // (2) Start the thread.
		}
		
		public void run() {
			while (true){
				/*try {
			        Thread.sleep(2000);
			    } catch (InterruptedException e) {
			        //We've been interrupted: no more messages.
			        return;
			    }*/
				if (currentTime > tiPanel.NightStarts || currentTime < tiPanel.NightEnds) {
					System.out.println("It is night now, so shutting the window and should not be open for 5secs");
					win.tiltIn();					
					shutUntil=System.currentTimeMillis()+5000;
					try {
				        Thread.sleep(5000);
				    } catch (InterruptedException e) {
				        //We've been interrupted: no more messages.
				        return;
				    }
				}
				shutUntil =-1;
			}
		}		
	}
	
	pointcut getWinRefs(): execution(* main(..));
	after(): getWinRefs() {
		Spec SF =new Spec("Security Feature", ProblemWorldDomains.win, ProblemWorldDomains.TiP);
	}
}
